Back to Platform

GET /team-tasks

GET
/team-tasks

GET operation for /team-tasks

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Response Body

application/json

curl -X GET "https://dev-rest.onboard.io/team-tasks"
{
  "id": 1,
  "name": "string",
  "description_preview": "string",
  "due_date": "2021-01-01",
  "is_internal": true,
  "is_optional": true,
  "created_at": "2021-01-01T00:00:00Z",
  "map_id": 1,
  "map_name": "string",
  "map_status": "string",
  "map_expected_launch_date": "2021-01-01T00:00:00Z",
  "onboardee_company_name": "string",
  "onboardee_company_avatar": "string",
  "roadmap_id": "string",
  "roadmap_status": "string",
  "description": "string",
  "status": "open",
  "is_section": true,
  "is_hidden": true,
  "onboarder_user": "string",
  "onboarder_user_id": 1,
  "onboardee_user": "string",
  "onboardee_user_id": 1,
  "modified_at": "2021-01-01T00:00:00Z",
  "completed_at": "2021-01-01T00:00:00Z",
  "time_spent": 1,
  "time_spent_unit": "minutes",
  "time_spent_raw": 1,
  "external_id": "string",
  "time_tracking_enabled": true,
  "is_ttv": true
}
Empty
Empty
Empty

How is this guide?